For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin our Discord
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
HomeAdministration & GovernanceDevelopment and IntegrationAgent ForgeAPI ReferenceSDK Docs
  • API Reference
    • POSTResponses
    • POSTChat Completions
    • POSTCompletions
    • POSTEmbeddings
    • POSTAudio Transcription
    • POSTDocuments Extract
    • POSTRerank
    • POSTTokenize
    • POSTDetokenize
    • POSTFactuality
    • POSTInjection
    • POSTPII
    • POSTToxicity
    • GETModels
    • GETMCP Servers
    • GETMCP Tools
  • Valid Inputs
    • Enumerations for API
LogoLogo
Contact usJoin our Discord
API Reference

MCP Servers

GET
https://{your-pg.api-domain}.com/mcp_servers
GET
/mcp_servers
$curl https://{your-pg.api-domain}.com/mcp_servers \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": [
4 {
5 "server_label": "test_mcp_server",
6 "object": "mcp_server",
7 "created": 1730332800,
8 "owned_by": "Prediction Guard",
9 "server_description": "An MCP server used for testing MCP functionality.",
10 "available_tools": [
11 "test_mcp_tool"
12 ]
13 }
14 ]
15}
Return available MCP servers and tools included in those servers along with relevant metadata.
Was this page helpful?
Previous

MCP Tools

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful response.
objectstring

Type of object (list).

datalist of objects
The available MCP servers.

Errors

400
Bad Request Error
403
Forbidden Error